import { IApp } from '@cloudbase/cals';

export const text: IApp = {
  name: 'demo_app',
  description: '测试应用',
  main: 'index',
  items: [
    {
      type: 'PAGE',
      id: 'index',
      component: 'page',
      items: [
        {
          component: 'Container',
          id: '0',
          module: '',
          items: [
            {
              id: '1',
              component: 'Text',
              module: '',
              attributes: {
                level: '1',
                text: '文本测试',
              },
            },
          ],
        },
      ],
    },
  ],
};

export const tab: IApp = {
  name: 'demo_app',
  description: '测试应用',
  main: 'index',
  items: [
    {
      type: 'PAGE',
      id: 'index',
      component: 'page',
      items: [
        {
          id: '0',
          component: 'Tabs',
          module: '',
          attributes: {
            tabs: [
              {
                title: '选项一',
              },
              {
                title: '选项二',
              },
            ],
          },
          items: [
            {
              id: 'panel1',
              items: [
                {
                  id: '2',
                  component: 'Text',
                  module: '',
                  attributes: {
                    text: 'tab1',
                  },
                },
              ],
            },
            {
              id: 'panel2',
              items: [
                {
                  id: '4',
                  component: 'Text',
                  module: '',
                  attributes: {
                    text: 'tab2',
                  },
                },
              ],
            },
          ],
        },
      ],
    },
  ],
};
