import * as React from 'react';
export declare function StatusBlank({ icon, title, description, operation, delay, }: {
    icon: 'error' | 'loading' | 'notfound';
    title?: React.ReactNode;
    description?: React.ReactNode;
    operation?: React.ReactNode;
    delay?: number;
}): JSX.Element;
export declare function NotFound({ disabled, path, onNotFound, }: {
    disabled?: boolean;
    path?: string;
    onNotFound?: Function;
}): JSX.Element;
export declare function Loading({ message }: {
    message?: string;
}): JSX.Element;
export declare function ErrorStatus({ error, title, operation }: {
    error?: Error;
    title?: any;
    operation?: any;
}): JSX.Element;
