import * as React from 'react';
export { useLocation } from 'react-router-dom';
export declare function CustomRouter({ basename, children, future, history, }: {
    basename?: string;
    future?: any;
    history: any;
    children: React.ReactNode;
}): JSX.Element;
export declare function Routes(props: {
    children: any;
}): JSX.Element;
export declare function Route(props: {
    path: string;
    element?: React.ReactNode;
    Component?: any;
    exact?: any;
}): JSX.Element;
export declare function Navigate({ to, replace }: {
    to: string;
    replace?: boolean;
}): JSX.Element;
export declare function useCurrentPath(): string;
