export declare let debugExprMap: {
    node: {
        [nodeId: string]: {
            expr: string;
            result: any;
            refreshSigh: number;
            lastForDebugExprDispose: () => any;
        };
    };
} & import("mobx").IObservableObject;
export declare function resetDebugExprMap(): void;
export declare function watchForDebugExpr({ widgetId: paramWidgetId, subForItems, globalCtx, getDataContextFn, get$wFn, get$scopeFn, }: {
    widgetId: any;
    subForItems: any;
    globalCtx: any;
    getDataContextFn: any;
    get$wFn: any;
    get$scopeFn: any;
}): import("mobx").IReactionDisposer;
/**
 * @param widgetId: 当在循环中，需要将所在索引信息进行拼接。如 text1_0（借鉴 0 的设计，非循环项的 widgetId 这里需自动加 0，如 button1_0）
 */
export declare function evalExpr(widgetId: string, expr: string, useCache?: boolean): Promise<unknown>;
