import { IPlatformListener } from '@cloudbase/cals';
import { IGenerateOptions, IGenerateContext } from './adapter/generate';
export interface IEventFlowContext extends IGenerateContext {
    $w?: any;
    target?: any;
    forContext?: any;
    scopeContext?: any;
    dataContext?: any;
}
export declare class EventFlow {
    #private;
    id: string;
    description: string;
    constructor({ schema, context, options, }: {
        schema: {
            id?: string;
            description?: string;
            listeners?: IPlatformListener[];
        };
        context: IEventFlowContext;
        options?: IGenerateOptions;
    });
    trigger(additionalScope: any, options?: Partial<IEventFlowContext>): any;
    toJSON(): {};
}
