"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pxtoremImport = exports.postcssImport = exports.lessImport = exports.CALC_RPX_ROOT_VAL_NAME = void 0;
const tslib_1 = require("tslib");
const cals_1 = require("@cloudbase/cals");
const WedaClientSDK = tslib_1.__importStar(require("@cloudbase/weda-client"));
tslib_1.__exportStar(require("./runtime/actionHandler"), exports);
tslib_1.__exportStar(require("./common"), exports);
tslib_1.__exportStar(require("./computed"), exports);
tslib_1.__exportStar(require("./history"), exports);
tslib_1.__exportStar(require("./widgets"), exports);
tslib_1.__exportStar(require("./style"), exports);
exports.CALC_RPX_ROOT_VAL_NAME = cals_1.PostcssRpx2Calc.CALC_RPX_ROOT_VAL_NAME;
const lessImport = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const { default: less } = yield Promise.resolve().then(() => tslib_1.__importStar(require(/* webpackChunkName: "extra-package" */ 'less')));
    return less;
});
exports.lessImport = lessImport;
const postcssImport = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const { default: postcss } = yield Promise.resolve().then(() => tslib_1.__importStar(require(/* webpackChunkName: "extra-package" */ 'postcss')));
    return postcss;
});
exports.postcssImport = postcssImport;
const pxtoremImport = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const { default: pxToRem } = yield Promise.resolve().then(() => tslib_1.__importStar(require(/* webpackChunkName: "extra-package" */ 'postcss-pxtorem')));
    return pxToRem;
});
exports.pxtoremImport = pxtoremImport;
(function (root) {
    if ((typeof exports === 'object' && typeof module === 'object') ||
        // (typeof define === 'function' && define.amd) ||
        typeof exports === 'object') {
    }
    else if (!root['WedaClientSDK']) {
        root['WedaClientSDK'] = WedaClientSDK;
    }
})(this || globalThis || window);
//# sourceMappingURL=index.js.map